//  main: main.less, out: ../style.css


/* ====================================================================================================================================
TRANSITIONS
======================================================================================================================================*/
.transition-std (@property : all, @duration: 0.4s, @easing : cubic-bezier(0.4, 0.0, 0.2, 1), @delay : 0 ) {
    transition-property: @property;
    transition-duration: @duration;
    transition-timing-function: @easing;
    transition-delay: @delay;
    -webkit-transition-property: @property;
    -webkit-transition-duration: @duration;
    -webkit-transition-timing-function: @easing;
    -webkit-transition-delay: @delay;
}

.transition-elastic(@property : all, @duration: 0.4s, @easing : cubic-bezier(0.075, 0.820, 0.165, 1.000), @delay : 0 ) {
 transition-property: @property;
 transition-duration: @duration;
 transition-timing-function: @easing;
 transition-delay: @delay;
 -webkit-transition-property: @property;
 -webkit-transition-duration: @duration;
 -webkit-transition-timing-function: @easing;
 -webkit-transition-delay: @delay;
}

.transition-elastic--long {
   .transition-elastic(all, 0.6s, cubic-bezier(0.075, 0.820, 0.165, 1.000), 0);
}


/* ====================================================================================================================================
ANIMATIONS
======================================================================================================================================*/
@keyframes animation__btnZoom {
    0% {
        opacity: .2;
        .u-transform(translate(-50%, -50%)scale(0));
    }
    40% {
        opacity: .2;
    }
    90% {
        opacity: 0;
        .u-transform(translate(-50%, -50%)scale(10));
    }
    100% {
        opacity: 0;
        .u-transform(translate(-50%, -50%)scale(0));
    }
 }

 .animation__btnZoom (@duration: 1s, @delay: 0,) {
    animation-name             : animation__btnZoom;
    animation-duration         : @duration;
    animation-delay            : @delay;
    -webkit-animation-name     : animation__btnZoom;
    -webkit-animation-duration : @duration;
    -webkit-animation-delay    : @delay;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode        : forwards;
    animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
    -webkit-animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

// FADE IN ------------------------------
@keyframes animation__fadein {
   from {
       opacity: 0;
   }
   to {
       opacity: 1;
   }
}

.animation__fadein (@duration: 1s, @delay: .8s,) {
    opacity                    : 0;
    animation-name             : animation__fadein;
    animation-duration         : @duration;
    animation-delay            : @delay;
    -webkit-animation-name     : animation__fadein;
    -webkit-animation-duration : @duration;
    -webkit-animation-delay    : @delay;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode        : forwards;
}

// HIDE NAV WHEN BODY SCROLL ------------------------------
@keyframes animation__scroll{
   from {
       .u-transform(translateY(-100%));
   }
   to {
       .u-transform(translateY(0));
   }
}

.animation__scroll (@duration: .4s, @delay: 0,) {
    animation-name             : animation__scroll;
    animation-duration         : @duration;
    animation-delay            : @delay;
    -webkit-animation-name     : animation__scroll;
    -webkit-animation-duration : @duration;
    -webkit-animation-delay    : @delay;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode        : forwards;
}

// COOKIE ANIMATION ------------------------------
@keyframes animation__cookie {
    from {
        .u-transform(translateY(100%));
        opacity: 0;
    }
    to {
        .u-transform(translateY(0));
        opacity: 1;
    }
 }
 
 .animation__cookie (@duration: 1s, @delay: 0,) {
     animation-name             : animation__cookie;
     animation-duration         : @duration;
     animation-delay            : @delay;
     -webkit-animation-name     : animation__cookie;
     -webkit-animation-duration : @duration;
     -webkit-animation-delay    : @delay;
     -webkit-animation-fill-mode: forwards;
     animation-fill-mode        : forwards;
     animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
     -webkit-animation-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
 }

 // MENU ANIMATION ------------------------------
@keyframes animation__menu {
    to {
        .u-transform(translateX(0));
    }
 }
 
 .animation__menu (@duration: .8s, @delay: 1,5s,) {
     animation-name             : animation__menu;
     animation-duration         : @duration;
     animation-delay            : @delay;
     -webkit-animation-name     : animation__menu;
     -webkit-animation-duration : @duration;
     -webkit-animation-delay    : @delay;
     -webkit-animation-fill-mode: forwards;
     animation-fill-mode        : forwards;
     animation-timing-function: cubic-bezier(0.4, 0.0, 0.2, 1);
     -webkit-animation-timing-function: cubic-bezier(0.4, 0.0, 0.2, 1);
 }

  // DRAW ANIMATION ------------------------------
@keyframes animation__heroDraw {
    from {
        .u-transform(scale(.95));
        opacity: 0;
    }
    to {
        .u-transform(scale(1));
        opacity: 1;
    }
 }
 
 .animation__heroDraw (@duration: 8s, @delay: 0,) {
     animation-name             : animation__heroDraw;
     animation-duration         : @duration;
     animation-delay            : @delay;
     -webkit-animation-name     : animation__heroDraw;
     -webkit-animation-duration : @duration;
     -webkit-animation-delay    : @delay;
     -webkit-animation-fill-mode: forwards;
     animation-fill-mode        : forwards;
     animation-timing-function: easeOutQuart;
     -webkit-animation-timing-function: easeOutQuart;
 }

 // FADE IN DRAW ------------------------------
@keyframes animation__fadeinDraw {
    0% {
        opacity: 0;
        visibility: hidden;
    }
    50% {
        opacity: 0;
        visibility: visible;
    }
    100% {
        opacity: .2;
    }
 }
 
 .animation__fadeinDraw (@duration: 1s, @delay: 1s,) {
     opacity                    : 0;
     animation-name             : animation__fadeinDraw;
     animation-duration         : @duration;
     animation-delay            : @delay;
     -webkit-animation-name     : animation__fadeinDraw;
     -webkit-animation-duration : @duration;
     -webkit-animation-delay    : @delay;
     -webkit-animation-fill-mode: forwards;
     animation-fill-mode        : forwards;
 }

  // SCROLL IN TITLE ------------------------------
@keyframes animation__title {
    0% {
        transform: translateY(-240px);
    }
    100% {
        transform: translateY(0);
    }
 }
 
 .animation__title (@duration: 1s, @delay: 0s,) {
     animation-name             : animation__title;
     animation-duration         : @duration;
     animation-delay            : @delay;
     -webkit-animation-name     : animation__title;
     -webkit-animation-duration : @duration;
     -webkit-animation-delay    : @delay;
     -webkit-animation-fill-mode: forwards;
     animation-fill-mode        : forwards;
 }
